/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Parada;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Rafius
 */
public class RenderCatalogoDeParadas implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Parada parada = (Parada) o;

		Listcell lc = new Listcell(parada.getParadaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(parada.getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(parada.getCveparada());
		lc.setParent(lstm);
		lc = new Listcell(parada.getCodantt() == null? " ": parada.getCodantt().toString());
		lc.setParent(lstm);

		lstm.setAttribute("data", parada);
	}
}
